﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel;

namespace RhombusWebMVC.Models
{
	public class WorkItemHistoryViewModel
	{
		[Key]
		[ScaffoldColumn(false)]
		public Guid PrimaryKey { get; set; }

		[ScaffoldColumn(false)]
		public Guid WorkItemFK { get; set; }

		[Required]
		[DataType(DataType.MultilineText)]
		public string Text { get; set; }

		[DefaultValue(false)]
		public bool IsSystem { get; set; }

		[DefaultValue(false)]
		public bool IsPublic { get; set; }

		[Required]
		[DataType(DataType.DateTime)]
		[Editable(false)]
		public DateTime CreatedDate { get; set; }

		[Required]
		[Editable(false)]
		public string CreatedByUser { get; set; }
	}
}