﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<IEnumerable<RhombusWebMVC.Models.WorkItemViewModel>>" %>

<table>
	<thead>
		<tr>
			<th></th>
			<th>Summary</th>
			<th>Last Updated</th>
		</tr>
	</thead>
	<tbody>
	<% foreach (var item in Model)
	{ %>

		<tr>
			<td><%= Html.ActionLink("Edit", "Edit", new { id = item.ID }) %></td>
			<td><%= Html.Encode(item.Summary) %></td>
			<td><%= Html.Encode(item.History.Any() ? item.History.Max(h => h.CreatedDate).ToString() : "Never") %></td>
		</tr>

	<% } %>
	</tbody>
</table>