﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace RhombusWebMVC.Models
{
	public interface IWorkItemRepository<TKey, TModel>
	{
		TModel GetWorkItem(TKey id);

		IEnumerable<TModel> GetWorkItems();

		TKey CreateWorkItem(TModel model, string user);

		void EditWorkItem(TKey id, TModel model, string user);
	}
}
