﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel.DataAnnotations;

namespace RhombusWebMVC.Models
{
	public class WorkItemViewModel
	{
		[Key]
		[ScaffoldColumn(false)]
		public Guid ID { get; set; }

		[Required]
		[StringLength(200)]
		[DataType(DataType.MultilineText)]
		public string Summary { get; set; }

		public IEnumerable<WorkItemHistoryViewModel> History { get; set; }
	}
}